'use strict';

var jsxRuntime = require('react/jsx-runtime');
var react = require('react');
var reactSyntaxHighlighter = require('react-syntax-highlighter');
var darkStyle = require('react-syntax-highlighter/dist/cjs/styles/prism/vsc-dark-plus');

function styleInject(css, ref) {
  if (ref === void 0) ref = {};
  var insertAt = ref.insertAt;
  if (typeof document === 'undefined') {
    return;
  }
  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';
  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }
  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css_248z = "/* Light theme */\n:root {\n  --color-prettylights-syntax-comment: #6e7781;\n  --color-prettylights-syntax-constant: #0550ae;\n  --color-prettylights-syntax-entity: #8250df;\n  --color-prettylights-syntax-storage-modifier-import: #24292f;\n  --color-prettylights-syntax-entity-tag: #116329;\n  --color-prettylights-syntax-keyword: #cf222e;\n  --color-prettylights-syntax-string: #0a3069;\n  --color-prettylights-syntax-variable: #953800;\n  --color-prettylights-syntax-bracket: #24292f;\n  --color-prettylights-syntax-tag: #24292f;\n}\n\n/* Dark theme */\n@media (prefers-color-scheme: dark) {\n  :root {\n    --color-prettylights-syntax-comment: #8b949e;\n    --color-prettylights-syntax-constant: #79c0ff;\n    --color-prettylights-syntax-entity: #d2a8ff;\n    --color-prettylights-syntax-storage-modifier-import: #c9d1d9;\n    --color-prettylights-syntax-entity-tag: #7ee787;\n    --color-prettylights-syntax-keyword: #ff7b72;\n    --color-prettylights-syntax-string: #a5d6ff;\n    --color-prettylights-syntax-variable: #ffa657;\n    --color-prettylights-syntax-bracket: #c9d1d9;\n    --color-prettylights-syntax-tag: #7ee787;\n  }\n}\n\npre {\n  background-color: #f6f8fa;\n  border-radius: 6px;\n  padding: 16px;\n  font-family: ui-monospace, SFMono-Regular, SF Mono, Menlo, monospace;\n  font-size: 85%;\n  line-height: 1.45;\n  overflow: auto;\n}\n\n@media (prefers-color-scheme: dark) {\n  pre {\n    background-color: #161b22;\n  }\n}\n\n.pl-c { color: var(--color-prettylights-syntax-comment); }\n.pl-c1 { color: var(--color-prettylights-syntax-constant); }\n.pl-e { color: var(--color-prettylights-syntax-entity); }\n.pl-s { color: var(--color-prettylights-syntax-string); }\n.pl-k { color: var(--color-prettylights-syntax-keyword); }\n.pl-en { color: var(--color-prettylights-syntax-entity-tag); }\n.pl-smi { color: var(--color-prettylights-syntax-variable); }\n.pl-ent { color: var(--color-prettylights-syntax-entity-tag); }\n.pl-bu { color: var(--color-prettylights-syntax-bracket); }\n.pl-ii { color: var(--color-prettylights-syntax-tag); }";
styleInject(css_248z);

function _arrayLikeToArray(r, a) {
  (null == a || a > r.length) && (a = r.length);
  for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e];
  return n;
}
function _arrayWithHoles(r) {
  if (Array.isArray(r)) return r;
}
function asyncGeneratorStep(n, t, e, r, o, a, c) {
  try {
    var i = n[a](c),
      u = i.value;
  } catch (n) {
    return void e(n);
  }
  i.done ? t(u) : Promise.resolve(u).then(r, o);
}
function _asyncToGenerator(n) {
  return function () {
    var t = this,
      e = arguments;
    return new Promise(function (r, o) {
      var a = n.apply(t, e);
      function _next(n) {
        asyncGeneratorStep(a, r, o, _next, _throw, "next", n);
      }
      function _throw(n) {
        asyncGeneratorStep(a, r, o, _next, _throw, "throw", n);
      }
      _next(void 0);
    });
  };
}
function _defineProperty(e, r, t) {
  return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, {
    value: t,
    enumerable: true,
    configurable: true,
    writable: true
  }) : e[r] = t, e;
}
function _iterableToArrayLimit(r, l) {
  var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"];
  if (null != t) {
    var e,
      n,
      i,
      u,
      a = [],
      f = true,
      o = false;
    try {
      if (i = (t = t.call(r)).next, 0 === l) {
        if (Object(t) !== t) return;
        f = !1;
      } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0);
    } catch (r) {
      o = true, n = r;
    } finally {
      try {
        if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return;
      } finally {
        if (o) throw n;
      }
    }
    return a;
  }
}
function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function ownKeys(e, r) {
  var t = Object.keys(e);
  if (Object.getOwnPropertySymbols) {
    var o = Object.getOwnPropertySymbols(e);
    r && (o = o.filter(function (r) {
      return Object.getOwnPropertyDescriptor(e, r).enumerable;
    })), t.push.apply(t, o);
  }
  return t;
}
function _objectSpread2(e) {
  for (var r = 1; r < arguments.length; r++) {
    var t = null != arguments[r] ? arguments[r] : {};
    r % 2 ? ownKeys(Object(t), true).forEach(function (r) {
      _defineProperty(e, r, t[r]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) {
      Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r));
    });
  }
  return e;
}
function _objectWithoutProperties(e, t) {
  if (null == e) return {};
  var o,
    r,
    i = _objectWithoutPropertiesLoose(e, t);
  if (Object.getOwnPropertySymbols) {
    var n = Object.getOwnPropertySymbols(e);
    for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]);
  }
  return i;
}
function _objectWithoutPropertiesLoose(r, e) {
  if (null == r) return {};
  var t = {};
  for (var n in r) if ({}.hasOwnProperty.call(r, n)) {
    if (-1 !== e.indexOf(n)) continue;
    t[n] = r[n];
  }
  return t;
}
function _regeneratorRuntime() {
  _regeneratorRuntime = function () {
    return e;
  };
  var t,
    e = {},
    r = Object.prototype,
    n = r.hasOwnProperty,
    o = Object.defineProperty || function (t, e, r) {
      t[e] = r.value;
    },
    i = "function" == typeof Symbol ? Symbol : {},
    a = i.iterator || "@@iterator",
    c = i.asyncIterator || "@@asyncIterator",
    u = i.toStringTag || "@@toStringTag";
  function define(t, e, r) {
    return Object.defineProperty(t, e, {
      value: r,
      enumerable: true,
      configurable: true,
      writable: true
    }), t[e];
  }
  try {
    define({}, "");
  } catch (t) {
    define = function (t, e, r) {
      return t[e] = r;
    };
  }
  function wrap(t, e, r, n) {
    var i = e && e.prototype instanceof Generator ? e : Generator,
      a = Object.create(i.prototype),
      c = new Context(n || []);
    return o(a, "_invoke", {
      value: makeInvokeMethod(t, r, c)
    }), a;
  }
  function tryCatch(t, e, r) {
    try {
      return {
        type: "normal",
        arg: t.call(e, r)
      };
    } catch (t) {
      return {
        type: "throw",
        arg: t
      };
    }
  }
  e.wrap = wrap;
  var h = "suspendedStart",
    l = "suspendedYield",
    f = "executing",
    s = "completed",
    y = {};
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}
  var p = {};
  define(p, a, function () {
    return this;
  });
  var d = Object.getPrototypeOf,
    v = d && d(d(values([])));
  v && v !== r && n.call(v, a) && (p = v);
  var g = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(p);
  function defineIteratorMethods(t) {
    ["next", "throw", "return"].forEach(function (e) {
      define(t, e, function (t) {
        return this._invoke(e, t);
      });
    });
  }
  function AsyncIterator(t, e) {
    function invoke(r, o, i, a) {
      var c = tryCatch(t[r], t, o);
      if ("throw" !== c.type) {
        var u = c.arg,
          h = u.value;
        return h && "object" == typeof h && n.call(h, "__await") ? e.resolve(h.__await).then(function (t) {
          invoke("next", t, i, a);
        }, function (t) {
          invoke("throw", t, i, a);
        }) : e.resolve(h).then(function (t) {
          u.value = t, i(u);
        }, function (t) {
          return invoke("throw", t, i, a);
        });
      }
      a(c.arg);
    }
    var r;
    o(this, "_invoke", {
      value: function (t, n) {
        function callInvokeWithMethodAndArg() {
          return new e(function (e, r) {
            invoke(t, n, e, r);
          });
        }
        return r = r ? r.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg();
      }
    });
  }
  function makeInvokeMethod(e, r, n) {
    var o = h;
    return function (i, a) {
      if (o === f) throw Error("Generator is already running");
      if (o === s) {
        if ("throw" === i) throw a;
        return {
          value: t,
          done: true
        };
      }
      for (n.method = i, n.arg = a;;) {
        var c = n.delegate;
        if (c) {
          var u = maybeInvokeDelegate(c, n);
          if (u) {
            if (u === y) continue;
            return u;
          }
        }
        if ("next" === n.method) n.sent = n._sent = n.arg;else if ("throw" === n.method) {
          if (o === h) throw o = s, n.arg;
          n.dispatchException(n.arg);
        } else "return" === n.method && n.abrupt("return", n.arg);
        o = f;
        var p = tryCatch(e, r, n);
        if ("normal" === p.type) {
          if (o = n.done ? s : l, p.arg === y) continue;
          return {
            value: p.arg,
            done: n.done
          };
        }
        "throw" === p.type && (o = s, n.method = "throw", n.arg = p.arg);
      }
    };
  }
  function maybeInvokeDelegate(e, r) {
    var n = r.method,
      o = e.iterator[n];
    if (o === t) return r.delegate = null, "throw" === n && e.iterator.return && (r.method = "return", r.arg = t, maybeInvokeDelegate(e, r), "throw" === r.method) || "return" !== n && (r.method = "throw", r.arg = new TypeError("The iterator does not provide a '" + n + "' method")), y;
    var i = tryCatch(o, e.iterator, r.arg);
    if ("throw" === i.type) return r.method = "throw", r.arg = i.arg, r.delegate = null, y;
    var a = i.arg;
    return a ? a.done ? (r[e.resultName] = a.value, r.next = e.nextLoc, "return" !== r.method && (r.method = "next", r.arg = t), r.delegate = null, y) : a : (r.method = "throw", r.arg = new TypeError("iterator result is not an object"), r.delegate = null, y);
  }
  function pushTryEntry(t) {
    var e = {
      tryLoc: t[0]
    };
    1 in t && (e.catchLoc = t[1]), 2 in t && (e.finallyLoc = t[2], e.afterLoc = t[3]), this.tryEntries.push(e);
  }
  function resetTryEntry(t) {
    var e = t.completion || {};
    e.type = "normal", delete e.arg, t.completion = e;
  }
  function Context(t) {
    this.tryEntries = [{
      tryLoc: "root"
    }], t.forEach(pushTryEntry, this), this.reset(true);
  }
  function values(e) {
    if (e || "" === e) {
      var r = e[a];
      if (r) return r.call(e);
      if ("function" == typeof e.next) return e;
      if (!isNaN(e.length)) {
        var o = -1,
          i = function next() {
            for (; ++o < e.length;) if (n.call(e, o)) return next.value = e[o], next.done = false, next;
            return next.value = t, next.done = true, next;
          };
        return i.next = i;
      }
    }
    throw new TypeError(typeof e + " is not iterable");
  }
  return GeneratorFunction.prototype = GeneratorFunctionPrototype, o(g, "constructor", {
    value: GeneratorFunctionPrototype,
    configurable: true
  }), o(GeneratorFunctionPrototype, "constructor", {
    value: GeneratorFunction,
    configurable: true
  }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, u, "GeneratorFunction"), e.isGeneratorFunction = function (t) {
    var e = "function" == typeof t && t.constructor;
    return !!e && (e === GeneratorFunction || "GeneratorFunction" === (e.displayName || e.name));
  }, e.mark = function (t) {
    return Object.setPrototypeOf ? Object.setPrototypeOf(t, GeneratorFunctionPrototype) : (t.__proto__ = GeneratorFunctionPrototype, define(t, u, "GeneratorFunction")), t.prototype = Object.create(g), t;
  }, e.awrap = function (t) {
    return {
      __await: t
    };
  }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, c, function () {
    return this;
  }), e.AsyncIterator = AsyncIterator, e.async = function (t, r, n, o, i) {
    void 0 === i && (i = Promise);
    var a = new AsyncIterator(wrap(t, r, n, o), i);
    return e.isGeneratorFunction(r) ? a : a.next().then(function (t) {
      return t.done ? t.value : a.next();
    });
  }, defineIteratorMethods(g), define(g, u, "Generator"), define(g, a, function () {
    return this;
  }), define(g, "toString", function () {
    return "[object Generator]";
  }), e.keys = function (t) {
    var e = Object(t),
      r = [];
    for (var n in e) r.push(n);
    return r.reverse(), function next() {
      for (; r.length;) {
        var t = r.pop();
        if (t in e) return next.value = t, next.done = false, next;
      }
      return next.done = true, next;
    };
  }, e.values = values, Context.prototype = {
    constructor: Context,
    reset: function (e) {
      if (this.prev = 0, this.next = 0, this.sent = this._sent = t, this.done = false, this.delegate = null, this.method = "next", this.arg = t, this.tryEntries.forEach(resetTryEntry), !e) for (var r in this) "t" === r.charAt(0) && n.call(this, r) && !isNaN(+r.slice(1)) && (this[r] = t);
    },
    stop: function () {
      this.done = true;
      var t = this.tryEntries[0].completion;
      if ("throw" === t.type) throw t.arg;
      return this.rval;
    },
    dispatchException: function (e) {
      if (this.done) throw e;
      var r = this;
      function handle(n, o) {
        return a.type = "throw", a.arg = e, r.next = n, o && (r.method = "next", r.arg = t), !!o;
      }
      for (var o = this.tryEntries.length - 1; o >= 0; --o) {
        var i = this.tryEntries[o],
          a = i.completion;
        if ("root" === i.tryLoc) return handle("end");
        if (i.tryLoc <= this.prev) {
          var c = n.call(i, "catchLoc"),
            u = n.call(i, "finallyLoc");
          if (c && u) {
            if (this.prev < i.catchLoc) return handle(i.catchLoc, true);
            if (this.prev < i.finallyLoc) return handle(i.finallyLoc);
          } else if (c) {
            if (this.prev < i.catchLoc) return handle(i.catchLoc, true);
          } else {
            if (!u) throw Error("try statement without catch or finally");
            if (this.prev < i.finallyLoc) return handle(i.finallyLoc);
          }
        }
      }
    },
    abrupt: function (t, e) {
      for (var r = this.tryEntries.length - 1; r >= 0; --r) {
        var o = this.tryEntries[r];
        if (o.tryLoc <= this.prev && n.call(o, "finallyLoc") && this.prev < o.finallyLoc) {
          var i = o;
          break;
        }
      }
      i && ("break" === t || "continue" === t) && i.tryLoc <= e && e <= i.finallyLoc && (i = null);
      var a = i ? i.completion : {};
      return a.type = t, a.arg = e, i ? (this.method = "next", this.next = i.finallyLoc, y) : this.complete(a);
    },
    complete: function (t, e) {
      if ("throw" === t.type) throw t.arg;
      return "break" === t.type || "continue" === t.type ? this.next = t.arg : "return" === t.type ? (this.rval = this.arg = t.arg, this.method = "return", this.next = "end") : "normal" === t.type && e && (this.next = e), y;
    },
    finish: function (t) {
      for (var e = this.tryEntries.length - 1; e >= 0; --e) {
        var r = this.tryEntries[e];
        if (r.finallyLoc === t) return this.complete(r.completion, r.afterLoc), resetTryEntry(r), y;
      }
    },
    catch: function (t) {
      for (var e = this.tryEntries.length - 1; e >= 0; --e) {
        var r = this.tryEntries[e];
        if (r.tryLoc === t) {
          var n = r.completion;
          if ("throw" === n.type) {
            var o = n.arg;
            resetTryEntry(r);
          }
          return o;
        }
      }
      throw Error("illegal catch attempt");
    },
    delegateYield: function (e, r, n) {
      return this.delegate = {
        iterator: values(e),
        resultName: r,
        nextLoc: n
      }, "next" === this.method && (this.arg = t), y;
    }
  }, e;
}
function _slicedToArray(r, e) {
  return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest();
}
function _toPrimitive(t, r) {
  if ("object" != typeof t || !t) return t;
  var e = t[Symbol.toPrimitive];
  if (void 0 !== e) {
    var i = e.call(t, r);
    if ("object" != typeof i) return i;
    throw new TypeError("@@toPrimitive must return a primitive value.");
  }
  return ("string" === r ? String : Number)(t);
}
function _toPropertyKey(t) {
  var i = _toPrimitive(t, "string");
  return "symbol" == typeof i ? i : i + "";
}
function _unsupportedIterableToArray(r, a) {
  if (r) {
    if ("string" == typeof r) return _arrayLikeToArray(r, a);
    var t = {}.toString.call(r).slice(8, -1);
    return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0;
  }
}

var _excluded = ["label"];
var Button = function Button(_ref) {
  var label = _ref.label,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsxRuntime.jsx("button", _objectSpread2(_objectSpread2({}, props), {}, {
    children: label
  }));
};

var Card = function Card(_ref) {
  var title = _ref.title,
    children = _ref.children;
  return /*#__PURE__*/jsxRuntime.jsxs("div", {
    style: {
      border: '1px solid #ccc',
      padding: 16,
      borderRadius: 8
    },
    children: [/*#__PURE__*/jsxRuntime.jsx("h3", {
      children: title
    }), /*#__PURE__*/jsxRuntime.jsx("div", {
      children: children
    })]
  });
};

var YV_SOURCE = 'https://www.youvisit.com/tour/Embed/js3';
var DEFAULT_DESCRIPTION = 'Interactive Image Element';
var DEFAULT_UPLOAD_DATE = '2020-03-31T08:00:00+08:00';
var PUBLISHER_CONFIG = {
  name: 'EAB',
  logo: {
    url: 'https://attachment.eab.com/wp-content/uploads/2019/07/EAB-Logo-RGB.png',
    width: 500,
    height: 193
  }
};

var JsonLd = function JsonLd(_ref) {
  var data = _ref.data;
  return /*#__PURE__*/jsxRuntime.jsx("script", {
    type: "application/ld+json",
    dangerouslySetInnerHTML: {
      __html: JSON.stringify(data)
    }
  });
};

var generateJsonLdData = function generateJsonLdData(title, description, thumb, uploadDate) {
  return {
    '@context': 'https://schema.org',
    '@type': 'VideoObject',
    name: title,
    description: description,
    thumbnailUrl: thumb,
    uploadDate: uploadDate,
    publisher: {
      '@type': 'Organization',
      name: PUBLISHER_CONFIG.name,
      logo: _objectSpread2({
        '@type': 'ImageObject'
      }, PUBLISHER_CONFIG.logo)
    },
    contentUrl: 'url of actual tour',
    embedUrl: 'url where the tour has been placed',
    interactionCount: 'locations.views'
  };
};
var generateAnchorProps = function generateAnchorProps(props) {
  var baseProps = {
    href: 'https://www.youvisit.com',
    title: props.title,
    'data-inst': props.institution,
    'data-link-type': props.linkType,
    'data-loc': props.location,
    'data-platform': 'v',
    'data-type': props.type,
    'data-hover-width': props.hoverWidth,
    'data-hover-height': props.hoverHeight,
    'data-image-width': props.iwcWidth,
    'data-image-height': props.iwcHeight
  };
  if (props.stopId) {
    baseProps['data-stopid'] = props.stopId;
  }
  if (props.type !== 'hover-panel') {
    baseProps['data-type'] = props.type;
  }
  return baseProps;
};
var generateDataAttributesString = function generateDataAttributesString(anchorProps) {
  return Object.entries(anchorProps).filter(function (_ref) {
    var _ref2 = _slicedToArray(_ref, 1),
      key = _ref2[0];
    return key.startsWith('data-');
  }).map(function (_ref3) {
    var _ref4 = _slicedToArray(_ref3, 2),
      key = _ref4[0],
      value = _ref4[1];
    return "".concat(key, "=").concat(value);
  }).join('&');
};

function useScript(src) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var _useState = react.useState('loading'),
    _useState2 = _slicedToArray(_useState, 2),
    status = _useState2[0],
    setStatus = _useState2[1];
  var optionsRef = react.useRef(options);
  react.useEffect(function () {
    var script = document.querySelector("script[src=\"".concat(src, "\"]"));
    if (script) {
      // Check if script has our data-status attribute
      var domStatus = script.getAttribute('data-status');
      if (domStatus) {
        setStatus(domStatus);
        return;
      }

      // If no data-status attribute, set it based on whether the script appears to be loaded
      // A script without data-status that exists in DOM is likely already loaded
      script.setAttribute('data-status', 'ready');
      setStatus('ready');
      return;
    }

    // Create new script if it doesn't exist
    script = document.createElement('script');
    script.src = src;
    script.async = true;
    script.setAttribute('data-status', 'loading');
    document.body.appendChild(script);
    var handleScriptLoad = function handleScriptLoad() {
      script.setAttribute('data-status', 'ready');
      setStatus('ready');
      removeEventListeners();
    };
    var handleScriptError = function handleScriptError() {
      script.setAttribute('data-status', 'error');
      setStatus('error');
      removeEventListeners();
    };
    var removeEventListeners = function removeEventListeners() {
      script.removeEventListener('load', handleScriptLoad);
      script.removeEventListener('error', handleScriptError);
    };
    script.addEventListener('load', handleScriptLoad);
    script.addEventListener('error', handleScriptError);
    var removeOnUnmount = optionsRef.current.removeOnUnmount;
    return function () {
      if (removeOnUnmount === true) {
        script.remove();
        removeEventListeners();
      }
    };
  }, [src]);
  return status;
}

var CopyToClipboard = function CopyToClipboard(_ref) {
  var textData = _ref.textData,
    _ref$buttonText = _ref.buttonText,
    buttonText = _ref$buttonText === void 0 ? 'Copy to clipboard' : _ref$buttonText;
  var _useState = react.useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    copied = _useState2[0],
    setCopied = _useState2[1];
  var copyToClipboard = /*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator(/*#__PURE__*/_regeneratorRuntime().mark(function _callee() {
      return _regeneratorRuntime().wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            if (!navigator.clipboard) {
              _context.next = 13;
              break;
            }
            _context.prev = 1;
            _context.next = 4;
            return navigator.clipboard.writeText(textData);
          case 4:
            setCopied(true);
            _context.next = 11;
            break;
          case 7:
            _context.prev = 7;
            _context.t0 = _context["catch"](1);
            console.error('Failed to copy with Clipboard API:', _context.t0);
            fallbackCopyToClipboard();
          case 11:
            _context.next = 14;
            break;
          case 13:
            fallbackCopyToClipboard();
          case 14:
            setTimeout(function () {
              setCopied(false);
            }, 500);
          case 15:
          case "end":
            return _context.stop();
        }
      }, _callee, null, [[1, 7]]);
    }));
    return function copyToClipboard() {
      return _ref2.apply(this, arguments);
    };
  }();
  var fallbackCopyToClipboard = function fallbackCopyToClipboard() {
    try {
      // Create a temporary textarea element
      var textArea = document.createElement('textarea');
      textArea.value = textData;

      // Avoid scrolling to bottom
      textArea.style.top = '0';
      textArea.style.left = '0';
      textArea.style.position = 'fixed';
      textArea.style.opacity = '0';
      document.body.appendChild(textArea);
      textArea.focus();
      textArea.select();
      var successful = document.execCommand('copy');
      document.body.removeChild(textArea);
      if (successful) {
        setCopied(true);
      } else {
        console.error('Fallback clipboard copy failed');
      }
    } catch (err) {
      console.error('Fallback clipboard copy error:', err);
    }
  };
  return /*#__PURE__*/jsxRuntime.jsx("div", {
    className: "absolute right-2 top-2 hidden group-hover:block cursor-pointer",
    children: copied ? /*#__PURE__*/jsxRuntime.jsx("svg", {
      xmlns: "http://www.w3.org/2000/svg",
      fill: "none",
      viewBox: "0 0 24 24",
      strokeWidth: "1.5",
      stroke: "currentColor",
      className: "w-6 h-6",
      children: /*#__PURE__*/jsxRuntime.jsx("path", {
        strokeLinecap: "round",
        strokeLinejoin: "round",
        d: "M11.35 3.836c-.065.21-.1.433-.1.664 0 .414.336.75.75.75h4.5a.75.75 0 00.75-.75 2.25 2.25 0 00-.1-.664m-5.8 0A2.251 2.251 0 0113.5 2.25H15c1.012 0 1.867.668 2.15 1.586m-5.8 0c-.376.023-.75.05-1.124.08C9.095 4.01 8.25 4.973 8.25 6.108V8.25m8.9-4.414c.376.023.75.05 1.124.08 1.131.094 1.976 1.057 1.976 2.192V16.5A2.25 2.25 0 0118 18.75h-2.25m-7.5-10.5H4.875c-.621 0-1.125.504-1.125 1.125v11.25c0 .621.504 1.125 1.125 1.125h9.75c.621 0 1.125-.504 1.125-1.125V18.75m-7.5-10.5h6.375c.621 0 1.125.504 1.125 1.125v9.375m-8.25-3l1.5 1.5 3-3.75"
      })
    }) : /*#__PURE__*/jsxRuntime.jsx("button", {
      onClick: copyToClipboard,
      className: "text-sm",
      children: buttonText
    })
  });
};

var YouVisitIWC = function YouVisitIWC(_ref) {
  var _ref$containerHeight = _ref.containerHeight,
    containerHeight = _ref$containerHeight === void 0 ? '300px' : _ref$containerHeight,
    _ref$containerWidth = _ref.containerWidth,
    containerWidth = _ref$containerWidth === void 0 ? '100%' : _ref$containerWidth,
    _ref$title = _ref.title,
    title = _ref$title === void 0 ? 'Launch Experience' : _ref$title,
    _ref$description = _ref.description,
    description = _ref$description === void 0 ? DEFAULT_DESCRIPTION : _ref$description,
    thumb = _ref.thumb,
    _ref$uploadDate = _ref.uploadDate,
    uploadDate = _ref$uploadDate === void 0 ? DEFAULT_UPLOAD_DATE : _ref$uploadDate,
    _ref$institution = _ref.institution,
    institution = _ref$institution === void 0 ? 0 : _ref$institution,
    _ref$linkType = _ref.linkType,
    linkType = _ref$linkType === void 0 ? 'immersive' : _ref$linkType,
    _ref$location = _ref.location,
    location = _ref$location === void 0 ? 0 : _ref$location,
    _ref$type = _ref.type,
    type = _ref$type === void 0 ? 'inline-embed' : _ref$type,
    stopId = _ref.stopId,
    _ref$hoverWidth = _ref.hoverWidth,
    hoverWidth = _ref$hoverWidth === void 0 ? '90%' : _ref$hoverWidth,
    _ref$hoverHeight = _ref.hoverHeight,
    hoverHeight = _ref$hoverHeight === void 0 ? '70%' : _ref$hoverHeight,
    _ref$iwcWidth = _ref.iwcWidth,
    iwcWidth = _ref$iwcWidth === void 0 ? '100%' : _ref$iwcWidth,
    _ref$iwcHeight = _ref.iwcHeight,
    iwcHeight = _ref$iwcHeight === void 0 ? '100%' : _ref$iwcHeight,
    showCode = _ref.showCode;
  var _useState = react.useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isReady = _useState2[0],
    setIsReady = _useState2[1];
  var jsonLdData = generateJsonLdData(title, description, thumb, uploadDate);
  var status = useScript(YV_SOURCE, {
    removeOnUnmount: false
  });
  react.useEffect(function () {
    if (status === 'ready' && typeof window !== 'undefined' && window.YVScript) {
      window.YVScript.scanEmbeds();
      setIsReady(true);
    }
  }, [status]);
  var iwcstyle = {
    display: 'block',
    width: containerWidth,
    height: containerHeight
  };
  var anchorProps = generateAnchorProps({
    title: title,
    institution: institution,
    linkType: linkType,
    location: location,
    type: type,
    stopId: stopId,
    hoverWidth: hoverWidth,
    hoverHeight: hoverHeight,
    iwcWidth: iwcWidth,
    iwcHeight: iwcHeight
  });
  var dataAttributesString = generateDataAttributesString(anchorProps);
  var codeString = "\n<div style=\"height: ".concat(containerHeight, "; width: ").concat(containerWidth, "\">\n  <a alt=\"Launch Experience\" href=\"https://www.youvisit.com/#/vte/?").concat(dataAttributesString, "\">Virtual Tour</a>\n</div>");
  var codeString2 = "<script async=\"async\" defer=\"defer\" src=\"".concat(YV_SOURCE, "\"></script>");
  return /*#__PURE__*/jsxRuntime.jsxs(jsxRuntime.Fragment, {
    children: [/*#__PURE__*/jsxRuntime.jsx("h1", {
      children: "useScript"
    }), /*#__PURE__*/jsxRuntime.jsxs("p", {
      children: [/*#__PURE__*/jsxRuntime.jsx("span", {
        id: "moo",
        className: isReady ? 'ready' : ''
      }), /*#__PURE__*/jsxRuntime.jsxs("label", {
        children: ["Status: ", status]
      })]
    }), status === 'ready' && /*#__PURE__*/jsxRuntime.jsx("p", {
      children: "we is ready"
    }), ' ', /*#__PURE__*/jsxRuntime.jsx("div", {
      className: "iwc",
      style: iwcstyle,
      children: /*#__PURE__*/jsxRuntime.jsx("a", _objectSpread2(_objectSpread2({
        className: "virtualtour_embed"
      }, anchorProps), {}, {
        children: "Virtual Tour"
      }))
    }), showCode && /*#__PURE__*/jsxRuntime.jsxs(jsxRuntime.Fragment, {
      children: [/*#__PURE__*/jsxRuntime.jsx("h3", {
        children: "Place the HTML below anywhere on your page to display your IWC:"
      }), /*#__PURE__*/jsxRuntime.jsxs("div", {
        className: "w-full mb-4 code-snippet relative group",
        children: [/*#__PURE__*/jsxRuntime.jsx("div", {
          className: "absolute top-0 right-0 m-2",
          children: /*#__PURE__*/jsxRuntime.jsx(CopyToClipboard, {
            textData: codeString
          })
        }), /*#__PURE__*/jsxRuntime.jsx(reactSyntaxHighlighter.PrismAsyncLight, {
          language: "html",
          style: darkStyle,
          wrapLines: true,
          customStyle: {
            margin: '1rem 0',
            borderRadius: '4px',
            background: '#f5f5f5'
          },
          children: codeString.trim()
        })]
      }), /*#__PURE__*/jsxRuntime.jsx("h3", {
        children: "Place the script below anywhere on the same page as HTML above:"
      }), /*#__PURE__*/jsxRuntime.jsx(reactSyntaxHighlighter.PrismAsyncLight, {
        language: "html",
        style: darkStyle,
        wrapLines: true,
        customStyle: {
          margin: '1rem 0',
          borderRadius: '4px',
          background: '#f5f5f5'
        },
        children: codeString2.trim()
      })]
    }), /*#__PURE__*/jsxRuntime.jsx(JsonLd, {
      data: jsonLdData
    })]
  });
};

exports.Button = Button;
exports.Card = Card;
exports.YouVisitIWC = YouVisitIWC;
//# sourceMappingURL=my-iwc.umd.js.map
